Package weka.classifiers

# Interface IntervalEstimator

All Known Implementing Classes:
  `GaussianProcesses`

public interface IntervalEstimator
Interface for classifiers that can output confidence intervals

Version:
  $Revision: 1.2 $
Author:
  Kurt Driessens (kurtd@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`predictInterval(Instance inst, double confidenceLevel)`
Returns an N*2 array, where N is the number of possible classes, that estimate the boundaries for the confidence interval with a confidence level specified by the second parameter.

## Method Details

### predictInterval

double[][] predictInterval(Instance inst, double confidenceLevel) throws Exception
Returns an N*2 array, where N is the number of possible classes, that estimate the boundaries for the confidence interval with a confidence level specified by the second parameter. Every row of the returned array gives the probability estimates for a single class. In the case of numeric predictions, a single confidance interval will be returned.

Parameters:
  `inst` - the instance to make the prediction for.
  `confidenceLevel` - the percentage of cases that the interval should cover.
Returns:
  an array of confidance intervals (one for each class)
Throws:
  `Exception` - if the intervals can't be computed